#!/usr/bin/env bash
# ======== Automation options ========
DBNAME=""
DBUSER=""
DBPASS=""
DBHOST=""
MEDIAIMPORT=""
IGNORELIMITS=0
# ====================================

SRCNAME="Cast-Control"
METHOD=castcontrol

echo "Import Utility for $SRCNAME"
echo "==============================================================================="

echo "In order to import your accounts, this utility needs to know some information"
echo "about your $SRCNAME database configuration."
echo ""

echo -n "Please enter your $SRCNAME MySQL database name: "
[ -z "$DBNAME" ] && read DBNAME
[ -z "$DBNAME" ] && echo "Aborted" && exit 1

echo -n "Please enter your $SRCNAME MySQL user name: "
[ -z "$DBUSER" ] && read DBUSER
[ -z "$DBUSER" ] && echo "Aborted" && exit 1

echo -n "Please enter your $SRCNAME MySQL password: "
[ -z "$DBPASS" ] && read DBPASS
[ -z "$DBPASS" ] && echo "Aborted" && exit 1

echo -n "Please enter your $SRCNAME MySQL hostname (usually 'localhost'): "
[ -z "$DBHOST" ] && read DBHOST
[ -z "$DBHOST" ] && DBHOST=localhost

cat <<EOF

If your users have uploaded media (MP3 files, etc.) for use with the AutoDJ
feature, how do you want to handle that media?

[c] Copy it to the user's new Centova Cast account (recommended if you have
    enough disk space)
[m] Move it to the user's new Centova Cast account (not recommended in
    case something goes wrong during the import)
[i] Ignore it (do not copy it to the user's Centova Cast account)

EOF
echo -n "Choose an option (c/m/i): "
[ -z "$MEDIAIMPORT" ] && read -n 1 MEDIAIMPORT
echo ""
if [ "$MEDIAIMPORT" == "m" ]; then
	MEDIAIMPORT="move";
elif [ "$MEDIAIMPORT" == "c" ]; then
        MEDIAIMPORT="copy";
elif [ "$MEDIAIMPORT" == "i" ]; then
        MEDIAIMPORT="ignore";
else
	echo "Invalid selection."
	exit 1
fi
echo ""
echo "Ready to import.  To begin importing accounts, please enter your Centova Cast"
echo "administrator password."
echo ""
RUNASCC=`dirname $0`/../system/runascc/runascc
$RUNASCC exec ccmanage importthirdparty all --type=$METHOD --dbname="$DBNAME" --dbuser="$DBUSER" --dbpass="$DBPASS" --dbhost="$DBHOST" --media="$MEDIAIMPORT" --ignorelimits=$IGNORELIMITS

