<?php
/* Centova Cast Language File Merge Script
 * ============================================================================
 * Takes a new English language file and adds all new strings to an existing,
 * translated language file.
 *
 * This makes it easy to identify and translate the new strings added in each
 * release.
 *
 * To use:
 *   cd /home/centovacast/system/locale/de_DE
 *   php -q ../merge_language.php
 *
 * Replace de_DE with the locale of your translation.
 *
 * After running the above command, all of the English strings will have been
 * added to your locale-xx_XX.php file.  You can then search for them using
 * your text editor's "Search" feature and searching for two apostrophes
 * ('') which represents a new string that needs to be translated.
 *
 */
 
$locale = basename(getcwd());
$translatedfile = 'locale-'.$locale.'.php';
$englishfile = '../en_US/locale-en_US.php';
if (!file_exists($translatedfile)) die("Translated language file does not exist: ".$translatedfile."\n");
if (!file_exists($englishfile)) die("English language file does not exist: ".$englishfile."\n");

echo "Please wait...\n";

require_once($translatedfile);
$languagedata = file_get_contents($englishfile);

foreach ($localization as $original=>$translation) {
	$languagedata = str_replace("'".str_replace("'","\\'",$original)."'=>''","'".str_replace("'","\\'",$original)."'=>'".str_replace("'","\\'",$translation)."'",$languagedata);
}

$translationdata = file_get_contents($translatedfile);
$comments = '';
$regex = '/\<'.'\?php[\s*](\/\*[\s\S]*?\*\/)/';

if (preg_match($regex,$translationdata,$matches)) $comments = $matches[1];
$languagedata = preg_replace($regex,'<'."?php\n" . $comments,$languagedata);

rename($translatedfile,$translatedfile.'.original');
$fp = fopen($translatedfile,'w');
fwrite($fp,$languagedata);
fclose($fp);

echo "
Complete.  All new English strings for this release have been added to your
language file.  A backup of your original language file has been created and
named:
{$translatedfile}.original

To complete the translation, simply open {$translatedfile} and search for
the characters '' (two apostrophes, NOT a quote character!) to locate the new
strings that need to be translated from English.
"
?>